「VMware」カテゴリーアーカイブ

VM ESXi 4.1

以前4.0 u1から4.1へのアップグレードに失敗してからしばらく放置していましたが、結局4.1を新規にインストールしました。

1.4.1 installableのISOイメージからimagedd.bz2を取り出す。仮想ドライブにマウントするなり7zipやExplzhを使うなり適当に。

2.取り出したimagedd.bz2を解凍する。

3.解凍したimageddをDD for WindowsでUSBメモリに書き込む。

手順はこれだけですが、もうちょっと詳しい説明が欲しい方は以下へどうぞ。環境やらバージョンやらが違うので適宜読み替えて下さい。

【仮想化道場】 VMware vSphere 4を試す【第一回】 -クラウド Watch
http://cloud.watch.impress.co.jp/docs/column/virtual/20100201_343848.html

VM ESXiを4.0から4.1にアップグレード(失敗)

VMware ESXI 4.1が出ていたのでアップグレードに挑戦してみました。

最初に4.0から4.1へのアップグレード用のzipファイルをVMwareのサイトから落としてきます。ついでにWindows用のVMware vSphere CLIも落としてきてインストール。

コマンドプロンプトからアップグレードを実行ました。

VM ESXi 3.5→4.0にアップグレード

いつの間にか新バージョンが出ていたようなのでアップグレードに挑戦しました。と言っても、VMが提供しているアップデータを実行しただけですが。

用意するファイルは2つで、クライアントソフトの新バージョンと3.5→4.0アップグレード用のzipファイル。

  1. クライアントソフトをバージョンアップする。この時、vSphere Host Update Utilityも併せてインストールする。
  2. vSphere Host Update Utilityを実行する。
  3. アップグレードを選択して、アップグレード用zipファイルを指定する。

以上で終了……のはずですが、私の環境では途中でエラーが出て完了出来ませんでした。(正確には、完了してるっぽいんですが正常終了の表示が出ないで固まる) Vistaのマシンから2回やって失敗だったので、ダメ元でXPのマシンからアップグレードをかけたらなぜか成功……。なにゆえ?

とりあえず、今日まで支障なく動いてるみたいなので良しとしておきます。

vmware-toolsのアップグレードのに失敗する

Windows 2003 serverの仮想マシンに入れたvmware-toolsのアップグレードしようとしたんですがerror 1722とか表示されて上手くいかないです……。

検索したらこんなページを見つけたので、とりあえず書かれた通りにしてみました。

VMware Communities: ESX Tips: Error: 1722 for VMWare Tools Installation
http://communities.vmware.com/blogs/ygao/2009/04/28/error-1722-for-vmware-tools-installation

COM+とかいうものの設定をデフォルトに戻しているっぽいですが、正直良くわかりません。まぁ、vmware-toolsを再インストール出来るようになったから良しとしておきますが。

ESXiにXPとVistaをインストール

ESXiにXPをインストールしようとするとインストーラが仮想ディスクを認識してくれないです。まぁ、SCSIディスクだから当たり前なんですが。ちなみにSCSIディスクドライバのダウンロードはこっち↓

http://www.vmware.com/download/server/drivers_tools.html

VMware Server用のだけど問題なく動くみたいで無事インストール完了。続けてVitsaをインストール……やっぱりディスクを認識しないorz  どうもSCSIコントローラをデフォルトのBusLogicからLSI Logicに変えないとダメっぽいので、LSI Logicに変えたら確かにディスクが出てきました。

インストール後、起動してみたら今度はNICを認識してない…………。適当にデバイスマネージャからドライバのインストール→手動でドライバを検索→コンピュータ上のドライバ一覧から選択とやってみたら、メーカーVMware.inc.のVMware PCI Ethernet Adapterがあったのでこれを使ってみることに。このドライバで合ってるのかどうか分からないけど、とりあえずは動いたので良しとしておきます。

色々あったけど、とりあえずESXiの上でXPとVistaが動作することを確認出来ました。ホントはWindows 2008 serverを用意してWindows展開サービスとか試してみたいんですけどね。TechNet サブスクリプションでも買おうかな~。

でもその前にMCP取ろう……最近勉強サボり気味だったし。